/*
  twoled_fastio 
  Két LED-et villogtatunk ellenütemben, közvetlen portkezeléssel
  Ez a program csak MSP430G2553 vagy G2452 Launchpad kártyán fut 
  más kártyán nem, mivel a portkezelés itt hardverfüggő módon történik!
 */
boolean a = FALSE;
void setup() {
  //Kezdeti beállítások
  P1DIR |= 0b01000001;    //PORT1 0 és 6 bitje legyen kimenet!
  P1OUT |= 0b00000001;    //Kezdetben P1_0 legyen HIGH!
  P1OUT &= 0b10111111;    //Kezdetben P1_6 legyen LOW!
}

// a loop függvény újra és újra ismétlődik a végtelenségig
void loop() {
  P1OUT ^= 0b01000001;    // a LED-ek állapotát átbillentjük (XOR művelettel)
  delay(1000);            // várunk egy másodpercig
}
