/* button2led
   Két LED felváltva világítson, a kapcsoló állásától függően:
    - Ha a kapcsoló nyitva van, a piros LED világítson!
    - Ha a kapcsoló zárva van, a zöld LED világítson!
 */
// Az alábbi definíciókat az Energia "magáról is tudja"!
// const int RED_LED = P1_0;
// const int GREEN_LED = P1_6;
// const int PUSH2 = P1_3;

//Hardverfüggetlen rész (MSP430 Launchpad kártyán is futtatható!)
void setup() {
  pinMode(RED_LED,OUTPUT);       //legyen kimenet
  pinMode(GREEN_LED,OUTPUT);     //legyen kimenet
  pinMode(PUSH2,INPUT_PULLUP);   //Bemenet beslő felhúzással
}

void loop() {
  boolean sw; 
  sw = digitalRead(PUSH2);      //beolvassuk a  nyomógomb állapotát
  digitalWrite(RED_LED,sw);     //RED_LED akkor világít, ha sw == HIGH
  digitalWrite(GREEN_LED,!sw);  //GRENN_LED akkor világít, ha sw == LOW 
  delay(20);                    //pergésmentesítő késleltetés
} 

